myapps:
  storage:
    root: /data/baoan/workspace/v5-runing/obpm-demo
  siteid:
  feign-path: /obpm
server:
  port: 8082
  tomcat:
    uri-encoding: UTF-8
  servlet:
    context-path: /designer
    session:
      timeout: 3600
    jsp:
      init-parameters:
        development: true
spring:
  mvc:
    view:
      prefix: /
      suffix: .jsp
    static-path: /**
    pathmatch:
      matching-strategy: ANT_PATH_MATCHER
  http:
    encoding:
      force: true
      charset: UTF-8
      enabled: true
  application:
    name: obpm-designer
  cloud:
    consul:
      discovery:
        instance-id: ${spring.application.name}:${spring.cloud.client.ip-address}:${random.uuid}
        prefer-ip-address: true
        health-check-interval: 10s
        health-check-path: /designer/actuator/health
        hostname: ${spring.application.name}
        service-name: ${spring.application.name}
        enabled: true
      host: 10.213.12.225
      port: 9500

  # 数据库访问配置
  datasource:
    driver-class-name: com.mysql.jdbc.Driver
    url: jdbc:mysql://10.213.12.225:3306/obpm2_security?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false
    username: outgs_security
    password: Outgs#20240718
    # 下面为连接池的补充设置，应用到上面所有数据源中
    initialSize: 5
    minIdle: 5
    maxActive: 20
    # 配置获取连接等待超时的时间
    maxWait: 60000
    # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
    timeBetweenEvictionRunsMillis: 60000
    # 配置一个连接在池中最小生存的时间，单位是毫秒
    minEvictableIdleTimeMillis: 300000
    validationQuery: SELECT 1
    testWhileIdle: false
    testOnBorrow: false
    testOnReturn: false
    # 配置监控统计拦截的filters，去掉后监控界面sql无法统计，'wall'用于防火墙
    filters: stat,wall,log4j
    logSlowSql: true
  jpa:
    properties:
      hibernate:
        default_schema:
  resources:
    static-locations: classpath:/META-INF/resources/,classpath:/resources/,classpath:/static/,classpath:/public/,/

feign:
  client:
    config:
      default:
        connect-timeout: 60000
        read-timeout: 60000 #设置远程调用超时时间
ribbon:
  ReadTimeout: 20000
  ConnectTimeout: 20000

logging.level.root: INFO
logging.level.org.apache: INFO
logging.level.org.hibernate: INFO
logging.level.javax.xml.bind: INFO
logging.level.sun.rmi: INFO
logging.level.com.sun: INFO

